<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <button nz-button nzSize="large" nzType="primary" routerLink="/development/template/create">Thêm mới</button>
</div>
<nz-card class="search-bar">
  <form nz-form>
    <div nz-row [nzGutter]="16">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.templateTypeObj"
          mbKeyLabel="name"
          mbKeyValue="code"
          name="targetUnit"
          [(ngModel)]="params.templateType"
          mbLabelText="{{ 'development.template.search.templateType' | translate }}"
          mbPlaceholder="{{ 'development.template.search.templateType' | translate }}"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.issueLevelObj"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbPlaceholder="{{ 'development.template.search.issueLevel' | translate }}"
          name="issueLevel"
          [(ngModel)]="params.issueLevel"
          mbLabelText="{{ 'development.template.search.issueLevel' | translate }}"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          name="effectiveStartDate"
          [(ngModel)]="params.effectiveStartDate"
          [mbDisabledDate]="disabledStartDate"
          mbLabelText="{{ 'development.approvement-config.search.effectiveStartDate' | translate }}"
        ></mb-date-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          name="effectiveEndDate"
          [(ngModel)]="params.effectiveEndDate"
          [mbDisabledDate]="disabledEndDate"
          mbLabelText="{{ 'development.approvement-config.search.effectiveEndDate' | translate }}"
        ></mb-date-picker>
      </div>
    </div>
  </form>
  <div class="block-action-search">
    <button nz-button class="search-btn" nzSize="large" nzType="text" (click)="search(true)" [disabled]="isLoading">
      {{ 'development.approvement-config.buttonSearch' | translate }}
    </button>
    <button nz-button class="expand-btn" nzType="default" nzSize="large" [disabled]="isLoading" (click)="exportExcel()">
      <img src="assets/images/icon/excel.svg" alt="" />
    </button>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table (changePageNum)='pageChange($event)'
            [tableConfig]="tableConfig"
            [tableData]="dataTable"
            [heightTable]="heightTable">
  </mb-table>
</mb-table-wrap>

<ng-template #action let-code = 'code'>
  <em class="action-template" nz-icon nzType="edit" nzTheme="outline" (click)="detail(code)"></em>
  <em class="action-template" nz-icon nzType="delete" nzTheme="outline" (click)="deleteItem(code)"></em>
</ng-template>
<ng-template #multipleLevels let-multipleLevels = 'multipleLevels'>
  <span>{{ multipleLevels ? 'x' : '' }}</span>
</ng-template>
